@import url('https://fonts.googleapis.com/css2?family=Kumbh+Sans:wght@400;700&display=swap');

:root {
    --veryDarkDesaturatedBlue: hsl(238, 29%, 16%);
    --softRed: hsl(14, 88%, 65%);
    --softViolet: hsl(273, 75%, 66%);
    --softBlue: hsl(240, 73%, 65%);
    --veryDarkGrayishBlue: hsl(237, 12%, 33%);
    --darkGrayishBlue: hsl(240, 6%, 50%);
    --lightGrayishBlue: hsl(240, 5%, 91%);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: none;
}

body {
    background: linear-gradient(var(--softViolet), var(--softBlue));
    font-family: 'Kumbh Sans', sans-serif;
    font-size: 12px;
}

main {
    display: grid;
    place-items: center;
}

.card {
    margin-top: 148px;
    width: clamp(326px, 920px, 86.9333333333vw);
    border-radius: 23px;
    background: white;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding-bottom: 48px;
    filter: drop-shadow(0 40px 20px hsl(237, 12%, 33%, .5));
}

.card-images {
    display: grid;
    place-items: center;
}

.card-image-mobile {
    margin-top: -107.5px;
    height: 211px;
    width: 84.6428571429%;
    background:
        url('./assets//illustration-woman-online-mobile.svg') no-repeat top,
        url('./assets//bg-pattern-mobile.svg') no-repeat bottom;
}

.card-image-desktop {
    display: none;
}

.card-images,
.card-text {
    width: clamp(280px, 350px, 85.8895705521%);
}

.card-text h2 {
    margin: 26px 0 32px;
    text-align: center;
    font-size: 32px;
    color: var(--veryDarkDesaturatedBlue);
}

.faq {
    padding-bottom: 17px;
    border-bottom: 1px solid var(--lightGrayishBlue);
}

h3 {
    margin-top: 17px;
    background: url('./assets//icon-arrow-down.svg') no-repeat right 60%;
    color: var(--veryDarkGrayishBlue);
    font-weight: 400;
    font-size: 13.25px;
}

h3:hover {
    color: var(--softRed);
}

h3:focus {
    background: url('./assets//icon-arrow-up.svg') no-repeat right;
    color: var(--veryDarkDesaturatedBlue);
    font-weight: 700;
}

h3:focus+p {
    display: block;
}

.card-text p {
    display: none;
    margin-top: 11px;
    padding-right: 10px;
    color: var(--darkGrayishBlue);
    font-size: 12.1px;
    line-height: 18px;
}

footer {
    margin-top: 7px;
    padding: 20px;
}

.attribution {
    font-size: 15px;
    text-align: center;
}

.attribution a {
    color: white;
    font-weight: bold;
}

@media only screen and (min-width: 400px) {


    .faq {
        padding-bottom: 16px;
    }

    .card-text h2 {
        margin: 63px 0 37px;
        text-align: left;
    }

    .card-text h3 {
        margin-top: 16px;
        background: url('./assets//icon-arrow-down.svg') no-repeat 95.5% 50%;
        font-size: 14.2px;
    }

    h3:focus {
        background: url('./assets//icon-arrow-up.svg') no-repeat 95.5% 45%;
    }

    .card-text p {
        margin-top: 9px;
        margin-bottom: 2px;
    }

    footer {
        margin-top: 71px;
    }
}

@media only screen and (min-width: 1060px) {
    .card {
        height: 509px;
        margin-top: 129px;
        position: relative;
        left: 21px;
        align-items: flex-start;
        gap: 31px;
        padding: 0;
    }

    .card-images {
        place-self: center;
        height: 100%;
    }

    .card-image-mobile {
        display: none;
    }

    .card-image-desktop {
        display: block;
        height: 100%;
        width: 389px;
        position: relative;
        left: -95px;
        background:
            url('./assets/illustration-woman-online-desktop.svg') no-repeat 101% 70px,
            url('./assets/bg-pattern-desktop.svg') no-repeat 100% -293px;
        background-size: 472px, 960px;
    }

    .card-image-desktop-box {
        height: 184px;
        width: 191px;
        position: relative;
        top: 204px;
        left: -93px;
        background: url('./assets/illustration-box-desktop.svg');
    }
}